package com.ruixuan.bytedance.service;


import com.ruixuan.bytedance.entity.BytedanceColonelActivity;

import java.util.List;

/**
 * 团长活动 信息Service接口
 *
 * @author ruoyi
 * @date 2023-08-11
 */
public interface IBytedanceColonelActivityService {
    /**
     * 查询团长活动 信息
     *
     * @param id 团长活动 信息主键
     * @return 团长活动 信息
     */
    public BytedanceColonelActivity selectBytedanceColonelActivityById(Long id);

    /**
     * 查询团长活动 信息列表
     *
     * @param bytedanceColonelActivity 团长活动 信息
     * @return 团长活动 信息集合
     */
    public List<BytedanceColonelActivity> selectBytedanceColonelActivityList(BytedanceColonelActivity bytedanceColonelActivity);


    /**
     * 修改团长活动 信息
     *
     * @param bytedanceColonelActivity 团长活动 信息
     * @return 结果
     */
    public int updateBytedanceColonelActivity(BytedanceColonelActivity bytedanceColonelActivity);

    /**
     * 批量删除团长活动 信息
     *
     * @param ids 需要删除的团长活动 信息主键集合
     * @return 结果
     */
    public int deleteBytedanceColonelActivityByIds(Long[] ids);

    /**
     * 删除团长活动 信息信息
     *
     * @param id 团长活动 信息主键
     * @return 结果
     */
    public int deleteBytedanceColonelActivityById(Long id);

}