package com.ruixuan.isc.entity;


import java.math.BigDecimal;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 【请填写功能名称】对象 kuaishou_rule_settlement_check
 *
 * @author ruoyi
 * @date 2023-12-27
 */

public class KuaishouRuleSettlementCheck extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 关联商品ID
     */
    @Excel(name = "关联商品ID")
    private Long relateId;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private String itemIds;
    private String itemTitle;

    /**
     * 达人ID
     */
    @Excel(name = "达人ID")
    private Long promoterId;

    /**
     * 达人名称
     */
    @Excel(name = "达人名称")
    private String promoterName;

    /**
     * 商品创建人ID
     */
    @Excel(name = "商品创建人ID")
    private Long itemCreateId;

    /**
     * 商品创建人姓名
     */
    @Excel(name = "商品创建人姓名")
    private String itemCreateName;

    /**
     * 达人创建人ID
     */
    @Excel(name = "达人创建人ID")
    private Long promoterCreateId;

    /**
     * 达人创建人姓名
     */
    @Excel(name = "达人创建人姓名")
    private String promoterCreateName;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private Long statDate;

    /**
     * 主播奖励金额
     */
    @Excel(name = "主播奖励金额")
    private BigDecimal anchorAmount;
    private BigDecimal shouldAnchorAmount;

    /**
     * 推荐人奖励金额
     */
    @Excel(name = "推荐人奖励金额")
    private BigDecimal referenceAmount;
    private BigDecimal shouldReferenceAmount;

    /**
     * 结算状态 1：待付款 2：已付款
     */
    @Excel(name = "结算状态 1：待付款 2：已付款")
    private Integer settlementStatus;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;
    private Long validOrderNum;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public String getItemIds() {
        return itemIds;
    }

    public void setItemIds(String itemIds) {
        this.itemIds = itemIds;
    }

    public String getItemTitle() {
        return itemTitle;
    }

    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    public Long getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    public String getPromoterName() {
        return promoterName;
    }

    public void setPromoterName(String promoterName) {
        this.promoterName = promoterName;
    }

    public Long getItemCreateId() {
        return itemCreateId;
    }

    public void setItemCreateId(Long itemCreateId) {
        this.itemCreateId = itemCreateId;
    }

    public String getItemCreateName() {
        return itemCreateName;
    }

    public void setItemCreateName(String itemCreateName) {
        this.itemCreateName = itemCreateName;
    }

    public Long getPromoterCreateId() {
        return promoterCreateId;
    }

    public void setPromoterCreateId(Long promoterCreateId) {
        this.promoterCreateId = promoterCreateId;
    }

    public String getPromoterCreateName() {
        return promoterCreateName;
    }

    public void setPromoterCreateName(String promoterCreateName) {
        this.promoterCreateName = promoterCreateName;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    public BigDecimal getAnchorAmount() {
        return anchorAmount;
    }

    public void setAnchorAmount(BigDecimal anchorAmount) {
        this.anchorAmount = anchorAmount;
    }

    public BigDecimal getShouldAnchorAmount() {
        return shouldAnchorAmount;
    }

    public void setShouldAnchorAmount(BigDecimal shouldAnchorAmount) {
        this.shouldAnchorAmount = shouldAnchorAmount;
    }

    public BigDecimal getReferenceAmount() {
        return referenceAmount;
    }

    public void setReferenceAmount(BigDecimal referenceAmount) {
        this.referenceAmount = referenceAmount;
    }

    public BigDecimal getShouldReferenceAmount() {
        return shouldReferenceAmount;
    }

    public void setShouldReferenceAmount(BigDecimal shouldReferenceAmount) {
        this.shouldReferenceAmount = shouldReferenceAmount;
    }

    public Integer getSettlementStatus() {
        return settlementStatus;
    }

    public void setSettlementStatus(Integer settlementStatus) {
        this.settlementStatus = settlementStatus;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Long getValidOrderNum() {
        return validOrderNum;
    }

    public void setValidOrderNum(Long validOrderNum) {
        this.validOrderNum = validOrderNum;
    }

    @Override
    public String toString() {
        return "KuaishouRuleSettlementCheck{" +
                "id=" + id +
                ", relateId=" + relateId +
                ", itemIds='" + itemIds + '\'' +
                ", itemTitle='" + itemTitle + '\'' +
                ", promoterId=" + promoterId +
                ", promoterName='" + promoterName + '\'' +
                ", itemCreateId=" + itemCreateId +
                ", itemCreateName='" + itemCreateName + '\'' +
                ", promoterCreateId=" + promoterCreateId +
                ", promoterCreateName='" + promoterCreateName + '\'' +
                ", statDate=" + statDate +
                ", anchorAmount=" + anchorAmount +
                ", shouldAnchorAmount=" + shouldAnchorAmount +
                ", referenceAmount=" + referenceAmount +
                ", shouldReferenceAmount=" + shouldReferenceAmount +
                ", settlementStatus=" + settlementStatus +
                ", remarks='" + remarks + '\'' +
                ", validOrderNum=" + validOrderNum +
                '}';
    }
}

