package com.ruixuan.isc.entity;

import lombok.Data;

/**
 * kwaixiaodian商品详情对象 kwaixiaodian_item_get
 */
@Data
public class KwaixiaodianItemGetSku {


    /**
     * 主键
     */
    private Long id;

    /**
     * 商品ID
     */
    private Long kwaiItemId;

    /**
     * 快手skuId
     */
    private Long kwaiSkuId;

    /**
     * 外部商品 Sku id，仅供记录外部商品sku和快手商品sku对应关系
     */
    private Long relSkuId;

    /**
     * sku库存数
     */
    private Long skuStock;

    /**
     * sku图片url
     */
    private String imageUrl;

    /**
     * sku售卖价，单位分
     */
    private Long skuSalePrice;

    /**
     * 已售件数，已废弃
     */
    private Long volume;

    /**
     * 是否有效。0 无效 1 有效
     */
    private Long isValid;

    /**
     * 规格
     */
    private String specification;

    /**
     * appkey
     */
    private String appkey;

    /**
     * skuNick
     */
    private String skuNick;

    /**
     * sku属性信息
     */
    private String skuProp;

    /**
     * sku条形码
     */
    private String gtinCode;

    /**
     * 套餐详情
     */
    private String mealDetail;

    /**
     * sku预留库存
     */
    private Long reserveStock;

    /**
     * 合约机套餐编码
     */
    private String packageCode;

    /**
     * 外部货品ID
     */
    private String goodsId;

    /**
     * 外部货品编码
     */
    private String goodsCode;

    /**
     * 创建时间 （毫秒）
     */
    private Long createTimeMs;

    /**
     * 更新时间 （毫秒）
     */
    private Long updateTimeMs;
    /**
     * 创建时间 （日：时分秒）
     */
    private String createTime;
    /**
     * 更新时间 （日：时分秒）
     */
    private String updateTime;
}
