package com.ruixuan.live.entity;

import com.ruixuan.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 快手账户协作人群对象 kuaishou_live_user_account_part
 *
 * @author ruoyi
 * @date 2022-05-31
 */
@Data
@ApiModel(value = "kuaishouLiveUserAccountPart", description = "快手账户协作人群对象")
public class KuaishouLiveUserAccountPart extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 快手ID
     */
    @ApiModelProperty(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @ApiModelProperty(name = "快手昵称")
    private String ksName;

    /**
     * 账户ID
     */
    @ApiModelProperty(name = "账户ID")
    private Long accountId;

    /**
     * 账户名称
     */
    @ApiModelProperty(name = "账户名称")
    private String accountName;

    /**
     * 协作人ID
     */
    @ApiModelProperty(name = "协作人ID")
    private String collaboratorId;

    /**
     * 协作人
     */
    @ApiModelProperty(name = "协作人")
    private String collaborator;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "创建人ID")
    private String createrId;

}
