package com.ruixuan.open.service;

import com.ruixuan.open.entity.KuaishouOpenPhotoCount;

import java.util.List;

/**
 * 视频数量Service接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface IKuaishouOpenPhotoCountService {
    /**
     * 查询视频数量
     *
     * @param id 视频数量主键
     * @return 视频数量
     */
    public KuaishouOpenPhotoCount selectKuaishouOpenPhotoCountById(Long id);

    /**
     * 查询视频数量列表
     *
     * @param kuaishouOpenPhotoCount 视频数量
     * @return 视频数量集合
     */
    public List<KuaishouOpenPhotoCount> selectKuaishouOpenPhotoCountList(KuaishouOpenPhotoCount kuaishouOpenPhotoCount);

    void insertKuaishouOpenPhotoCount();

}