package com.ruixuan.salesLeads.mapper;

import com.ruixuan.salesLeads.pojo.SaleClueRecordInfoPojo;
import com.ruixuan.salesLeads.pojo.SaleQuotaInfoPojo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索-跟进记录
 * @CreateDate: 2022-05-30
 * ****************************************************
 */
public interface SaleClueRecordInfoMapper {


    /**
     *
     * @param
     */
    SaleClueRecordInfoPojo getSaleClueRecordNumber(@Param(value = "sellerId") Long sellerId, @Param(value = "number")int number);

    /**
     * 根据销售 查询 本周有意向的数量
     * @param saleId 销售人员id
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    int selectSaleClueIntention(@Param(value = "saleId") Long saleId, @Param(value = "startTime")String startTime,@Param(value = "endTime")String endTime);


    /**
     *  卖家id 查询销售记录
     * @param sellerId 卖家id
     * @return
     */
    List<SaleClueRecordInfoPojo> selectDistributionList(@Param(value = "sellerId") Long sellerId);

    /**
     * 添加销售记录
     * @param recordInfoPojo
     */
    void insertSaleRedord(SaleClueRecordInfoPojo recordInfoPojo);
}
