package com.ruixuan.salesLeads.pojo;


import com.ruixuan.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: demo-测试
 * @CreateDate: 2022-05-19
 * ****************************************************
 */

@Data
@ApiModel(value = "saleClueCallRecordPojo", description = "销售线索通话记录")
public class SaleClueCallRecordPojo {


    private int id;

    @ApiModelProperty("原始内容")
    private String content;

    @ApiModelProperty("任务id")
    private Long taskId;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("创建人")
    private int createUserId;

    @ApiModelProperty("创建人姓名")
    private String createUserName;

    @ApiModelProperty("成功集合")
    private List successList;

    @ApiModelProperty("失败集合")
    private List errorList;


}
