package com.ruixuan;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 启动程序-test5
 *
 * @author ruoyi
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class RuiXuanApplication
{
    public static void main(String[] args)throws UnknownHostException
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        ConfigurableApplicationContext application = SpringApplication.run(RuiXuanApplication.class, args);
    /*System.out.println(
        " .-------.       ____     __        \n"
            + " |  _ _   \\      \\   \\   /  /    \n"
            + " | ( ' )  |       \\  _. /  '       \n"
            + " |(_ o _) /        _( )_ .'         \n"
            + " | (_,_).' __  ___(_ o _)'          \n"
            + " |  |\\ \\  |  ||   |(_,_)'         \n"
            + " |  | \\ `'   /|   `-'  /           \n"
            + " |  |  \\    /  \\      /           \n"
            + " ''-'   `'-'    `-..-'              \n\n"
            + " .........(♥◠‿◠)ﾉﾞ 项目启动成功   ლ(´ڡ`ლ)ﾞ ........... ");*/


        System.out.println(
                "Swagger文档地址："+ InetAddress.getLocalHost().getHostAddress()+":"+
                        application.getEnvironment().getProperty("server.port")+"/"+
                        "swagger"+"\n"+
                        "                            __        __       \n"+
                        "                           ( _\\\\     /_ )    \n"+
                        "                            \\\\ _\\\\  /_ /   \n"+
                        "                             \\\\ _\\\\/_ /    \n"+
                        "                             |_____/_/ /       \n"+
                        "                             (  (_)__)J-)      \n"+
                        "                             (  /`.,   /       \n"+
                        "                             \\ /  ;   /       \n"+
                        "                              | ==== |         \n"+
                        ".........(♥◠‿◠)ﾉﾞ 项目启动成功了   ლ(´ڡ`ლ)ﾞ ........... \n"


        );
    }
}
