package com.ruixuan.isc.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 快分销-招商信息
 */
@Data
@ApiModel(value = "kuaishou_activity_info对象", description = "快分销-招商信息")
public class KuaiShouActivityInfo {

    /**
     * 活动ID
     */
    private Long activityId;
    private Long regimentalId;
    /**
     * 活动标题
     */
    private String activityTitle;
    /**
     * 活动类型
     */
    private Integer activityType;
    /**
     * 招商开始时间
     */
    private String activityBeginTime;
    /**
     * 招商结束时间
     */
    private String activityEndTime;
    /**
     * 活动状态
     */
    private Integer activityStatus;
    /**
     * 报名数
     */
    private Integer applyItemCount;
    /**
     * 待审核
     */
    private Integer waitAuditItemCount;
    /**
     * 审核通过
     */
    private Integer auditPassItemCount;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
