package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouAccessToken;
import com.ruixuan.isc.entity.KuaishouRewardBaseInfo;
import com.ruixuan.isc.entity.KwaixiaodianItemGet;
import io.swagger.models.auth.In;

import java.util.List;
import java.util.Map;

/**
 * kwaixiaodian商品详情Service接口
 *
 * @author ruoyi
 * @date 2024-10-28
 */
public interface IKwaixiaodianItemGetService {
    JSONObject querykwaiItmInfo(KuaishouAccessToken token, Long kwaiItemId, String shopId, Long userId, String userName, Integer itemType, Long courtshipPurchaseId);

    Integer checkItem(Long companyId, Long itemId);


    Long getCompanyId(Long userId);

    List<Long> getUserIds(Long userId);

    List<KwaixiaodianItemGet> getItemList(Map<String, Object> requestMap);

    List<JSONObject> getShopList(Long companyId);

    int deleteById(Long[] ids);

    List<JSONObject> getCourtshipPurchaseIds(Long companyId);

    KwaixiaodianItemGet selectKwaixiaodianItemGetById(Long id);

    int updateKwaixiaodianItemGet(KwaixiaodianItemGet kwaixiaodianItemGet);

    List<Long> getItemIdsByUserIds(List<Long> userIds);

    List<JSONObject> getCompanyList();

    List<Long> getCourtshipPurchaseItemIdsByUserIds(List<Long> courtshipPurchaseIds);
}
