package com.ruixuan.jiaoyang.entity;


import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 骄阳-授权商品对象 jy_auth_order
 *
 * @author ruoyi
 * @date 2024-03-06
 */
public class JyAuthOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long itemId;

    /**
     * 商品标题
     */
    @Excel(name = "商品标题")
    private String itemName;

    /**
     * 商品链接
     */
    @Excel(name = "商品链接")
    private String itemImageUrl;

    /**
     * 商品单价
     */
    @Excel(name = "商品单价")
    private String itemPriceView;

    /**
     * 佣金率
     */
    @Excel(name = "佣金率")
    private String commissionRateView;

    /**
     * 达人ID
     */
    @Excel(name = "达人ID")
    private String promoterId;

    /**
     * 达人昵称
     */
    @Excel(name = "达人昵称")
    private String promoterNick;

    /**
     * 达人头像
     */
    @Excel(name = "达人头像")
    private String promoterPhoto;

    /**
     * 出让佣金比例
     */
    @Excel(name = "出让佣金比例")
    private String mcnCommissionRateView;
    private Integer sortCount;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemImageUrl() {
        return itemImageUrl;
    }

    public void setItemImageUrl(String itemImageUrl) {
        this.itemImageUrl = itemImageUrl;
    }

    public String getItemPriceView() {
        return itemPriceView;
    }

    public void setItemPriceView(String itemPriceView) {
        this.itemPriceView = itemPriceView;
    }

    public String getCommissionRateView() {
        return commissionRateView;
    }

    public void setCommissionRateView(String commissionRateView) {
        this.commissionRateView = commissionRateView;
    }

    public String getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    public String getPromoterNick() {
        return promoterNick;
    }

    public void setPromoterNick(String promoterNick) {
        this.promoterNick = promoterNick;
    }

    public String getPromoterPhoto() {
        return promoterPhoto;
    }

    public void setPromoterPhoto(String promoterPhoto) {
        this.promoterPhoto = promoterPhoto;
    }

    public String getMcnCommissionRateView() {
        return mcnCommissionRateView;
    }

    public void setMcnCommissionRateView(String mcnCommissionRateView) {
        this.mcnCommissionRateView = mcnCommissionRateView;
    }

    public Integer getSortCount() {
        return sortCount;
    }

    public void setSortCount(Integer sortCount) {
        this.sortCount = sortCount;
    }

    @Override
    public String toString() {
        return "JyAuthOrder{" +
                "itemId=" + itemId +
                ", itemName='" + itemName + '\'' +
                ", itemImageUrl='" + itemImageUrl + '\'' +
                ", itemPriceView='" + itemPriceView + '\'' +
                ", commissionRateView='" + commissionRateView + '\'' +
                ", promoterId='" + promoterId + '\'' +
                ", promoterNick='" + promoterNick + '\'' +
                ", promoterPhoto='" + promoterPhoto + '\'' +
                ", mcnCommissionRateView='" + mcnCommissionRateView + '\'' +
                ", sortCount=" + sortCount +
                '}';
    }
}
