package com.ruixuan.jinniu.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 广告主对象 rx_advertiser
 *
 * @author ruoyi
 * @date 2023-03-14
 */
@Data
@ApiModel(value = "rx_advertiser", description = "广告主对象")
public class KuaishouAdvertiser implements Serializable {

    private static final long serialVersionUID = -8714484660488441769L;
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 主体名称
     */
    @ApiModelProperty(name = "主体名称")
    private String advertiserName;

    /**
     * 负责人id
     */
    @ApiModelProperty(name = "负责人id")
    private Long userId;
    private String userName;

    /**
     * 负责人手机
     */
    @ApiModelProperty(name = "负责人手机")
    private String mobile;

    /**
     * 负责人邮箱
     */
    @ApiModelProperty(name = "负责人邮箱")
    private String email;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人")
    private Long createBy;

    /**
     * 修改人
     */
    @ApiModelProperty(name = "修改人")
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}