package com.ruixuan.live.service;

import com.ruixuan.live.entity.KuaishouLiveUserAccountPart;

import java.util.List;

/**
 * 快手账户协作人群Service接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface IKuaishouLiveUserAccountPartService {
    /**
     * 查询快手账户协作人群
     *
     * @param id 快手账户协作人群主键
     * @return 快手账户协作人群
     */
    public List<KuaishouLiveUserAccountPart> selectKuaishouLiveUserAccountPartById(Long ksId);

    /**
     * 删除快手账户协作人群信息
     *
     * @param id 快手账户协作人群主键
     * @return 结果
     */
    public int deleteKuaishouLiveUserAccountPartById(Long ksId);
}
