package com.ruixuan.open.service;

import com.ruixuan.open.entity.KuaishouOpenPhotoList;

import java.util.List;

/**
 * 用户视频列Service接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface IKuaishouOpenPhotoListService {
    /**
     * 查询用户视频列
     *
     * @param id 用户视频列主键
     * @return 用户视频列
     */
    public KuaishouOpenPhotoList selectKuaishouOpenPhotoListById(Long id);

    /**
     * 查询用户视频列列表
     *
     * @param kuaishouOpenPhotoList 用户视频列
     * @return 用户视频列集合
     */
    public List<KuaishouOpenPhotoList> selectKuaishouOpenPhotoListList(KuaishouOpenPhotoList kuaishouOpenPhotoList);

    void insertKuaishouOpenPhotoList();
    void insertKuaishouOpenPhotoListByPromoter(Long promoterId);
}