package com.ruixuan.salesLeads.mapper;

import com.ruixuan.salesLeads.pojo.SaleClueInfoPojo;
import com.ruixuan.salesLeads.pojo.SaleQuotaInfoPojo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索-额度
 * @CreateDate: 2022-05-19
 * ****************************************************
 */
public interface SaleQuotaInfoMapper {


    /**
     * 批量新增销售线索-额度
     * @param saleQuotaList
     */
    void replaceSaleQuotaInfoBatch(@Param(value = "saleQuotaList") List<SaleQuotaInfoPojo> saleQuotaList);

    /**
     * 根据卖家id查看最新额度
     * @param sellerId
     * @return
     */
    SaleQuotaInfoPojo getSaleQuotaInfoBySellerId(@Param(value = "sellerId")Long sellerId);
}
