package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索-分配记录信息表
 * @CreateDate: 2022-05-31
 * ****************************************************
 */
@Data
@ApiModel(value = "saleClueDistributionInfoPojo", description = "销售线索-分配记录信息表")
public class SaleClueDistributionInfoPojo {

    private int id;

    @ApiModelProperty("卖家id")
    private Long sellerId;

    @ApiModelProperty("'销售id'")
    private Long saleId;


    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private String createTime;

    public SaleClueDistributionInfoPojo() {
    }

    public SaleClueDistributionInfoPojo(Long sellerId, Long saleId, Long createUserId) {
        this.sellerId = sellerId;
        this.saleId = saleId;
        this.createUserId = createUserId;
    }
}
