package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 政策审核日志
 * @author zian Y
 * @date   2022-07-28
 * @version V1.0
 */
@Data
@ApiModel(value="saleFinancePolicyApprovalLogPojo", description="政策审核日志")
public class SaleFinancePolicyApprovalLogPojo {

	private Integer id;
    @ApiModelProperty(value = "政策id")
	private Integer policyId;
    @ApiModelProperty(value = "审核状态： 1-审核通过 2-审核拒绝 3-手动转审 4-自动转审")
	private Integer approvalStatus;
    @ApiModelProperty(value = "审核意见")
	private String approvalContent;
    @ApiModelProperty(value = "创建人id")
	private Integer createUserId;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;



	public SaleFinancePolicyApprovalLogPojo() {
	}


	public SaleFinancePolicyApprovalLogPojo(Integer policyId, Integer approvalStatus, String approvalContent, Integer createUserId) {
		this.policyId = policyId;
		this.approvalStatus = approvalStatus;
		this.approvalContent = approvalContent;
		this.createUserId = createUserId;
	}

}
