package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 政策产品关系表
 * @author zian Y
 * @date   2022-07-28
 * @version V1.0
 */
@Data
@ApiModel(value="saleFinancePolicyProductInfoPojo", description="政策产品关系表")
public class SaleFinancePolicyProductInfoPojo {
    
	/**主键id*/
	private Integer id;
	/**政策id*/
    @ApiModelProperty(value = "政策id")
	private Integer policyId;
	/**产品名称*/
    @ApiModelProperty(value = "产品名称")
	private String policyProductName;
	/**删除状态（0，正常，1已删除）*/
    @ApiModelProperty(value = "删除状态（0，正常，1已删除）")
	private Integer delFlag;
	/**创建人id*/
    @ApiModelProperty(value = "创建人id")
	private String createUserId;
	/**创建时间*/
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**更新时间*/
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;

	public SaleFinancePolicyProductInfoPojo() {
	}

	public SaleFinancePolicyProductInfoPojo(Integer policyId, String policyProductName, String createUserId) {
		this.policyId = policyId;
		this.policyProductName = policyProductName;
		this.createUserId = createUserId;
	}
}
