package com.ruixuan.salesLeads.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.salesLeads.pojo.SaleClueInfoPojo;
import com.ruixuan.salesLeads.pojo.SaleClueRecordInfoPojo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 外呼机器人api
 * @CreateDate: 2022-07-01
 * ****************************************************
 */
public interface ITelephoneRobotService {


    JSONObject getTelephoneRobotToken();

    ResultResponse importRobotTelephone(List<Long> sellerIds,String userId) throws Exception;

    ResultResponse getRobotTelephoneRecordList();

    ResultResponse getRobotTelephoneResultList(String createTime,Integer state);

}
